SciChart® the market leader in Fast WPF Charts, WPF 3D Charts, and iOS Chart & Android Chart Components

0
0

Hi,

I was using android sdk 2.5 and i’m not getting any runtime errors and error logs. But after updating the project to sdk 3.0 i started getting errors (no code has been changed). During the runtime, chart’s xAxis shows wrong times and started writing 1970 under every vertical grid line. Also debug log says: “SciChartSurface has no XAxes. Please ensure SciChartSurface.XAxis is set, or SciChartSurface.XAxes has at least one axis”.

I’m just upgrade sdk 2.5 to 3.0, how can i fix errors?

Tnx.

Version
3.0
  • Yura Khariton
    If this is a regression then we’ll need you to provide a code which reproduces it. As far as I know there were no breaking changes between v2.5 and v3.x, only some bug fixes, so I don’t how to fix it without seeing the code.
  • You must to post comments
0
0

Hi Yura,

I fixed the “SciChartSurface has no XAxes. Please ensure SciChartSurface.XAxis is set, or SciChartSurface.XAxes has at least one axis” error but xAxis still shows the same time under every vertical grid line. As you can see on attached picture crosshair shows correct time but xAxis labels shows 1970 (on monthly data). If i get weekly data it shows 1 Jan and if i get Daily data it shows 02:00 under every vertical grid line. Does this make a connotation for you?

Tnx.

Images
  • Yura Khariton
    Well I believe such output caused by default behavior for CategoryDateAxis – default LabelProvider ( https://www.scichart.com/documentation/android/current/webframe.html#Axis%20Labels%20-%20LabelProvider%20API.html ) selects one of predefined formatting strings ( “yyyy”, “MMM”, “dd MMM”, “HH:mm” ). It looks like in your case it selected the ‘yyyy’ string. But it’s strange that tooltip on axis shows different year than year in axis tick label ( 1970 vs 2018 ). Did you change something in LabelProvider? Can you provide a code which reproduces this behavior?
  • Emre Gökberk
    No, i’dont change anything. Accually i don’t have custom label provider, i’m using default one. The only change I do is to delete the aar files of the 2.5 sdk and put the 3.0’s. After your comment i tried to make custom label provider and saw that default provider is TradeChartAxisLabelProvider. I made a custom provider extends from TradeChartAxisLabelProvider and set to xAxis. But formatLabel override’s break point not hitting.
  • You must to post comments
0
0

after upgrading the sdk i am also getting this error:-

Error:Could not find com.android.tools.build:gradle:3.0.0-alpha4.
Searched in the following locations:
file:/C:/Program Files/Android/Android Studio
3/gradle/m2repository/com/android/tools/build/gradle/3.0.0-alpha4/gradle-
3.0.0-alpha4.pom
file:/C:/Program Files/Android/Android Studio
3/gradle/m2repository/com/android/tools/build/gradle/3.0.0-alpha4/gradle-
3.0.0-alpha4.jar
https://jcenter.bintray.com/com/android/tools/build/gradle/3.0.0-
alpha4/gradle-3.0.0-alpha4.pom
https://jcenter.bintray.com/com/android/tools/build/gradle/3.0.0-
alpha4/gradle-3.0.0-alpha4.jar
Required by:
project :

i searched everywhere on internet and then i found solution on this tech channel and i also took help of developer team. what you need to do in this situation is you should read the migration guide.

and Change you build.gradle:

buildscript {
repositories {

// You need to add the following repository to download the
// new plugin.
google()
}

dependencies {
    classpath 'com.android.tools.build:gradle:3.0.0-alpha4'
}

}

  • You must to post comments
Showing 2 results
Your Answer

Please first to submit.